void CurrentScan(std::string filename="curr_data/test.txt"){
  
  std::string dirname = filename.substr(0, filename.find_last_of('/'));
  std::string file = filename.substr(filename.find_last_of('/')+1);
  std::string prefix = filename.substr(0, filename.find_last_of('.'));

  double pos, cur;
  double posl[1000], curl[1000], errlx[1000], errly[1000];
  ifstream fin( filename.c_str() );
  int ii=0;
  while( !fin.eof() ) {
    fin >> pos >> cur;
    cout << pos << " " << cur << std::endl;
    posl[ii]=pos;
    curl[ii]=cur;
    errlx[ii]=0.0;
    errly[ii]=0.2;
    ii++;
  }
  double maxval=0;
  double maxpos=0;
  for(int jj=0;jj<ii;jj++){
    if(curl[jj]>maxval){
      maxval=curl[jj];
      maxpos=posl[jj];
    }
  }

  std::cout<<  "######"  << maxval << " " << maxpos << std::endl;
  TGraphErrors * ge = new TGraphErrors(ii,posl,curl,errlx,errly);
  TF1 *f1 = new TF1("func","gaus",0,100);
  f1->SetParLimits(0,maxval*0.1,maxval*1.5);
  f1->SetParameter(0,maxval);
  f1->SetParLimits(0,maxpos*0.1,maxpos*1.5);
  f1->SetParameter(1,maxpos);
  f1->SetParameter(2,5);

  ge->GetXaxis()->SetTitle("Scan Position [mm]");
  ge->GetYaxis()->SetTitle("Current [nA]");
  ge->Fit("func","l","",maxpos-20,maxpos+20);
  ge->Print();
  double mean=f1->GetParameter(1);
  double sigma=f1->GetParameter(2);
  std::cout << mean << " "<< sigma << std::endl;
  ge->Fit("func","l","",mean-2*sigma,mean+2*sigma);
  TCanvas *c1 = new TCanvas("c1","c1",1000,1000);
  f1->Draw();
  ge->Draw("PA");

  std::cout << dirname << " " << file << std::endl;
  std::cout << prefix <<std::endl;
  c1->Print((""+prefix+"_plot.pdf").c_str());
  c1->Print((""+prefix+"_plot.png").c_str());
  gStyle->SetOptFit(1111);
  fin.close();
  return;
}
